Loading...
Searching...
No Matches
_FxInfo Struct Reference

## Data Fields

Image * | image
size_t | ImgListLen
ssize_t | ImgNum
MagickBooleanType | NeedStats
MagickBooleanType | GotStats
MagickBooleanType | NeedHsl
MagickBooleanType | DebugOpt
MagickBooleanType | ContainsDebug
char * | expression
char * | pex
char | ShortExp [MagickPathExtent]
int | teDepth
char | token [MagickPathExtent]
size_t | lenToken
int | numElements
int | usedElements
ElementT * | Elements
int | numUserSymbols
int | usedUserSymbols
UserSymbolT * | UserSymbols
int | numOprStack
int | usedOprStack
int | maxUsedOprStack
OperatorE * | OperatorStack
ChannelStatistics ** | statistics
int | precision
RunTypeE | runType
RandomInfo **magick_restrict | random_infos
ImgT * | Imgs
Image ** | Images
ExceptionInfo * | exception
fxRtT * | fxrts

## Detailed Description

Definition at line 725 of file fx.c.

## Field Documentation

## ContainsDebug

MagickBooleanType _FxInfo::ContainsDebug

Definition at line 733 of file fx.c.

## DebugOpt

MagickBooleanType _FxInfo::DebugOpt

Definition at line 732 of file fx.c.

## Elements

ElementT* _FxInfo::Elements

Definition at line 742 of file fx.c.

## exception

ExceptionInfo* _FxInfo::exception

Definition at line 760 of file fx.c.

## expression

char* _FxInfo::expression

Definition at line 734 of file fx.c.

## fxrts

fxRtT* _FxInfo::fxrts

Definition at line 762 of file fx.c.

## GotStats

MagickBooleanType _FxInfo::GotStats

Definition at line 730 of file fx.c.

## image

Image* _FxInfo::image

Definition at line 726 of file fx.c.

## Images

Image** _FxInfo::Images

Definition at line 758 of file fx.c.

## ImgListLen

size_t _FxInfo::ImgListLen

Definition at line 727 of file fx.c.

## ImgNum

ssize_t _FxInfo::ImgNum

Definition at line 728 of file fx.c.

## Imgs

ImgT* _FxInfo::Imgs

Definition at line 757 of file fx.c.

## lenToken

size_t _FxInfo::lenToken

Definition at line 739 of file fx.c.

## maxUsedOprStack

int _FxInfo::maxUsedOprStack

Definition at line 748 of file fx.c.

## NeedHsl

MagickBooleanType _FxInfo::NeedHsl

Definition at line 731 of file fx.c.

## NeedStats

MagickBooleanType _FxInfo::NeedStats

Definition at line 729 of file fx.c.

## numElements

int _FxInfo::numElements

Definition at line 740 of file fx.c.

## numOprStack

int _FxInfo::numOprStack

Definition at line 746 of file fx.c.

## numUserSymbols

int _FxInfo::numUserSymbols

Definition at line 743 of file fx.c.

## OperatorStack

OperatorE* _FxInfo::OperatorStack

Definition at line 749 of file fx.c.

## pex

char* _FxInfo::pex

Definition at line 735 of file fx.c.

## precision

int _FxInfo::precision

Definition at line 751 of file fx.c.

## random_infos

RandomInfo** magick_restrict _FxInfo::random_infos

Definition at line 755 of file fx.c.

## runType

RunTypeE _FxInfo::runType

Definition at line 752 of file fx.c.

## ShortExp

char _FxInfo::ShortExp[MagickPathExtent]

Definition at line 736 of file fx.c.

## statistics

ChannelStatistics** _FxInfo::statistics

Definition at line 750 of file fx.c.

## teDepth

int _FxInfo::teDepth

Definition at line 737 of file fx.c.

## token

char _FxInfo::token[MagickPathExtent]

Definition at line 738 of file fx.c.

## usedElements

int _FxInfo::usedElements

Definition at line 741 of file fx.c.

## usedOprStack

int _FxInfo::usedOprStack

Definition at line 747 of file fx.c.

## usedUserSymbols

int _FxInfo::usedUserSymbols

Definition at line 744 of file fx.c.

## UserSymbols

UserSymbolT* _FxInfo::UserSymbols

Definition at line 745 of file fx.c.

The documentation for this struct was generated from the following file:

- fx.c